# Copyright (C) 2024-2025 LibreWeddingPlanner contributors

# frozen_string_literal: true

# == Schema Information
#
# Table name: tables_arrangements
#
#  id            :uuid             not null, primary key
#  discomfort    :integer
#  guests_digest :uuid             not null
#  name          :string           not null
#  created_at    :datetime         not null
#  updated_at    :datetime         not null
#  wedding_id    :uuid             not null
#
# Indexes
#
#  index_tables_arrangements_on_wedding_id  (wedding_id)
#
# Foreign Keys
#
#  fk_rails_...  (wedding_id => weddings.id)
#
class TablesArrangement < ApplicationRecord
  acts_as_tenant :wedding
  has_many :seats, dependent: :delete_all
  has_many :guests, through: :seats

  before_create :assign_name

  private

  def assign_name
    self.name = "#{Faker::Adjective.positive} #{Faker::Creature::Animal.name}".capitalize
  end
end
